def define_env(env):

	@env.macro
	def pageinfo(authors = None, created = None, updated = None):
		parts = []
		if authors is not None:
			parts.append(", ".join(authors if isinstance(authors, list) else [ authors ]))
		if created is not None:
			parts.append("Created&nbsp;" + created)
		if updated is not None:
			parts.append("Updated&nbsp;" + updated)
		return "<sub>" + " |&nbsp;".join(parts) + "</sub>"
